> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user

> Retrieve the details of an existing user.



## OpenAPI

````yaml get /v1/users/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/users/{id}:
    get:
      tags:
        - Users
      summary: Get user
      description: Retrieve the details of an existing user.
      operationId: getUser
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '404':
          description: User not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
          description: User ID.
          example: usr_DKL4Xcb5VSa8CQ
        email:
          type: string
          format: email
          description: User email address.
          example: john@example.com
        first_name:
          type:
            - string
            - 'null'
          description: User first name.
          example: John
        last_name:
          type:
            - string
            - 'null'
          description: User last name.
          example: Doe
        picture_url:
          type:
            - string
            - 'null'
          format: uri
          description: User profile picture URL.
          example: null
        role_id:
          type:
            - string
            - 'null'
          description: ID of the role assigned to the user.
          example: rol_DKL4Xcb5VSa8CQ
        is_account_owner:
          type: boolean
          description: Whether the user is the account owner.
          example: false
      required:
        - id
        - email
        - first_name
        - last_name
        - picture_url
        - role_id
        - is_account_owner
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````